python3-agate: amend requires.txt to accept version 2.6 of parsedatetime

master
John McQuah 4 months ago
parent 531bf518e2
commit 5879859dcd

@ -1,5 +1,5 @@
untrusted comment: verify with /etc/ports/jmq.pub
RWTTPlFarK9CxKcFte2tXvZEeUhD7HtGDkys8fiQXjqHA5cKYw5/Ui4HaC65Ry+1TSwrWGVlgARl8Hkj7THAM9GOUZOV6ag89gM=
SHA256 (Pkgfile) = 2052465fbcb1ebce623c8a792f63a6a31dc73766e06328169a18df92597477f0
RWTTPlFarK9CxKk8MzWgPy7LoQpO7K5dbzRN11ywkMZEqO3sojVviowmpw4cf2T4d3UVCZoxP8TzkJeVvr7dJ5eU/Bq1wqCD3Ag=
SHA256 (Pkgfile) = dd191022f5c0121b4d7fd4197f0bbcef0b0ca05f0d2de630bb09231c37b1848c
SHA256 (.footprint) = 7b3edfc041955f8080a679fcbd19856a3a0371aa5fd0b80a14d1de4c2859bbd5
SHA256 (python3-agate-1.6.3.tar.gz) = 8a599677b53a8b9f0db0c59f7117b46c450268f8d5521e77cade197d5e9a38fd

@ -11,6 +11,8 @@ renames=($name-$version.tar.gz)
build() {
cd ${name##python3-}-$version
# fix erroneous prohibition of parsedatetime version 2.6 (only version 2.5 is broken)
sed -i "/parsedatetime>=/d; /python-slugify>=/i'parsedatetime>=2.1,!=2.5'," setup.py
/usr/bin/python3 setup.py build
/usr/bin/python3 setup.py install --skip-build \

Loading…
Cancel
Save